# `robust`

#### Module implementing error-catching version of send (sendRobust)

The robust module is accessible via the `sqlobject.include.pydispatch` module.

## Attributes

#### a `Anonymous`

    _Anonymous

#### a `__package__`

    'sqlobject.include.pydispatch'

#### a `Any`

    _Any

## Functions

#### f `sendRobust(signal=_Any, sender=_Anonymous, *arguments, **named)` ...

Send signal from sender to all connected receivers catching errors

signal -- (hashable) signal value, see connect for details

sender -- the sender of the signal

> if Any, only receivers registered for Any will receive the message.

> if Anonymous, only receivers registered to receive messages from Anonymous or Any will receive the message

> Otherwise can be any python object (normally one registered with a connect if you actually want something to occur).

arguments -- positional arguments which will be passed to
  all receivers. Note that this may raise TypeErrors if the receivers do not allow the particular arguments. Note also that arguments are applied before named arguments, so they should be used with care.
named -- named arguments which will be filtered according
  to the parameters of the receivers to only provide those acceptable to the receiver.

Return a list of tuple pairs [(receiver, response), ... ]

if any receiver raises an error (specifically any subclass of Exception), the error instance is returned as the result for that receiver.

See the source for more information.